import { request } from '@/service/request';

// 查询在线用户列表
export function list(query?: Api.SystemManage.OnlineSearchParams) {
  return request<Api.SystemManage.Online[]>({
    url: '/monitor/online/list',
    method: 'get',
    params: query
  });
}

// 强退用户
export function forceLogout(tokenId: Api.SystemManage.Online['tokenId']) {
  return request({
    url: `/monitor/online/${tokenId}`,
    method: 'delete'
  });
}
